<% /*
    $Revision$
    $Id$

    File:           shared/send_mail.inc
    Description:    Versturen van een e-mail
    Parameters:
    Context:        - Zelfregistratie bevestigen
                    - QRCode voor mobiel registratie e-mailen
    Note:           Normaal gesproken sturen we e-mails via Putorders
                    Soms wil je een e-mail echter heel snel hebben, of (ook)
                    buiten kantoortijden als Putorders helemaal niet draait
                    Dan kun/mag je deze functie gebruiken.

*/ %>
<%
function fac_send_mail_html(adrTo, strSubj, strBody, params)
{
  if(  adrTo != null)
  {
    var puo_result = putorders.sendMail(adrTo, strSubj, strBody, params);
  }
}

// Verstuur een bookmark per e-mail naar een gebruiker
// Aanroeper moet gecontroleerd hebben of adrTo wel geautoriseerd is om deze bookmark te ontvangen
// strBody moet {0} in zich hebben voor de url en {1} voor de expiration time
function fac_send_bookmark(bmid, adrTo, strSubj, strBody, params)
{
  var sql = " SELECT prs_perslid_key,"
          + "        fac_bookmark_expire"
          + "   FROM fac_bookmark"
          + "  WHERE fac_bookmark_id = " + safe.quoted_sql(bmid);
  var oRs = Oracle.Execute(sql);
  var expire = new Date(oRs("fac_bookmark_expire").value);
  oRs.Close();

  var url = HTTP.urlzelf() + "/?fac_id=" + customerId + "&u=" + bmid;

  fac_send_mail_html(adrTo, strSubj, // "Facilitor aanmelden",
                            strBody.format(url, toDateTimeString(expire, true)),
                            params);
}
%>
